none
Problemas con la Instalación de ADO.NET Entity Framework Beta 3

    Pregunta

  • Hola a todos!!!

    Quiero incursionar y aprender la tecnología ofecida por el ORM Entity Framework, para ello tengo una máquina con Windows Vista SP1 (X86) y Visual Studio 2008 Professional Edition y el .NET Framework 3.5 SP1.

    Lo que leí para iniciarme en esta tecnología, decía que debía descargar e instalar lo siguiente:
    1. XML Editor QFE 
    2. ADO.NET Entity Framework Beta 3
    3. ADO.Net Entity Framework Tools Dec 07 Community Technology Preview
    4. Ejemplos

    al llegar a la instalación del propio EF Beta 3, me arroja el siguiente mensaje:

    ADO.NET Entity Framework (Pre-Release Version) can only be installed if Microsoft .NET Framework 3.5 is installed.

    y aborta la instalación.

    Me parece muy extraño, porque como lo mencionaba anteriromente, tengo el .NET Framework 3.5 SP1

    Si saben que puede estar sucediendo, se los agradecería mucho pues me interesa mucho parender esta tecnología.

    Saludos,

    Rafael


    domingo, 24 de mayo de 2009 20:07

Respuestas

Todas las respuestas

  • Hola
    Si ya tienes el SP1 de visual Studio, no te hace falta instalat el Entity Framework, pues ya que este se instala con el SP1


    Si la respuesta es correcta, marcala como correcta

    DCE 5 ESTRELLAS PLATINO

    domingo, 24 de mayo de 2009 20:18
  • hola,

    instala el Visual Studio 2008 SP1 , alli ya tendras el Entity Framework


    Entity Framework Visual Studio 2008

    ADO.NET Entity Framework

    saludos


    Leandro Tuttini
    domingo, 24 de mayo de 2009 20:34
  • Gracias Leandro por tu respuesta, efectivamente yo ya tengo instalado el VS 2008 SP1 y al buscar nuevos items para agregar a mi proyecto allí encontré el template del ADO.NET Entity Data Model... conclusión: ya puedo dar mis primeros pasos con él sin instalar nada adicional!!!

    Pero me surge otra duda: Qué pasa con esas continuas actualizaciones (va en la Beta 3) del EF?, es decir, en qué momento habrá que actualizar la versión que viene en incluida en el SP1 de VS2008?

    Saludos,

    Rafael Giraldo
    domingo, 24 de mayo de 2009 21:33
  • hola,

    hasta donde se la version que viene con el SP1 de VS2008 es ams que la version Beta3 que mencionas, o sea la del SP es una version final de EF.

    calculo que a partir del proxima version del VS este ya vendra incluido con lo que no necesitaras nada adicional, lo mismo paso con el ASP.NET MVC, al principio eran productos que se adicionan pero ya son partes del paquede oficial, o al menos eso entiendo

    saludos
    Leandro Tuttini
    domingo, 24 de mayo de 2009 21:55
  • Muchas gracias por tu ayuda!!!

    Saludos,

    Rafael
    domingo, 24 de mayo de 2009 21:57